Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://production.hifibridge.com/v2/wallets/swaps/{swapId}/accept \ --header 'Authorization: Bearer <token>'
{ "transferType": "WALLET.SWAP", "transferDetails": { "id": "dc923cc1-d74b-58f6-9fe4-9e9c6eb8dc37", "requestId": "1ab3e6e0-4839-4dbe-89c3-b06d9645ae86", "status": "COMPLETED", "createdAt": "2025-08-20T03:55:29.437108+00:00", "updatedAt": "2025-08-20T04:08:10.837+00:00", "source": { "currency": "usdc", "amount": 10, "userId": "05179f69-1988-4b46-a847-dd4eea0984d6" }, "destination": { "currency": "usdt", "userId": "05179f69-1988-4b46-a847-dd4eea0984d6", "externalWalletId": null, "amount": null, "chain": "POLYGON", "walletAddress": "0xe5727a4B1d93A26D6A7Adfaae145EFa41ED7f204" }, "error": null, "errorDetails": null, "quoteInformation": { "sendGross": { "amount": "10", "currency": "usdc" }, "sendNet": { "amount": "10", "currency": "usdc" }, "receiveGross": { "amount": "10", "currency": "usdc" }, "receiveNet": { "amount": "10", "currency": "usdc" }, "rate": "1", "expiresAt": "2025-08-20T03:55:59.539+00:00" } } }
Accept a swap request to execute the cryptocurrency exchange.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Swap transfer record ID.
Success
"WALLET.SWAP"
Show child attributes